Bug 81990 - [Maintainer-update] devel/ocaml-pcre : update to version 5.09.2
Summary: [Maintainer-update] devel/ocaml-pcre : update to version 5.09.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-07 13:20 UTC by Burelle Marwan
Modified: 2005-06-09 09:20 UTC (History)
1 user (show)

See Also:


Attachments
new-ocaml-pcre-port (1.10 KB, text/plain)
2005-06-07 13:20 UTC, Burelle Marwan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Burelle Marwan 2005-06-07 13:20:18 UTC

New release version 5.09.2, also add OCAMLFIND_DESTDIR to MAKE_ENV so ocamlfind installs files in ${PREFIX}/lib/ocaml/site-lib.
Comment 1 Thierry Thomas freebsd_committer 2005-06-07 22:20:26 UTC
State Changed
From-To: open->closed


Committed, thanks! 

Note: it was temporarily unfetchable, then I have added a 
MASTERSITE.
Comment 2 Thierry Thomas freebsd_committer 2005-06-08 21:47:01 UTC
Le Mar  7 jui 05 à 23:21:53 +0200, Thierry Thomas <thierry@FreeBSD.org>
 écrivait :
> Synopsis: [Maintainer-update] devel/ocaml-pcre : update to version 5.09.2
> 
> State-Changed-From-To: open->closed
> State-Changed-By: thierry
> State-Changed-When: Tue Jun 7 21:20:26 GMT 2005
> State-Changed-Why: 
> 
> Committed, thanks!
> 
> Note: it was temporarily unfetchable, then I have added a
> MASTERSITE.
> 
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=81990

Oops! It seems that pkg-install is not called when built as a port...

I suggest to bump PORTREVISION and to add the following line in
post-install:

${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-- 
Th. Thomas.
Comment 3 Burelle Marwan 2005-06-09 09:12:43 UTC
On Wed, Jun 08, 2005 at 10:47:01PM +0200, Thierry Thomas wrote:
> Oops! It seems that pkg-install is not called when built as a port...


It isn't need, it's only here for package installs.

What is done in pkg-install is in fact done by ocaml-findlib during
the install (ocamlfind command update ocaml ld.conf during install, in
fact the purpose of ocamlfind is very similar to a package management
tool plus some simplifications of compilation commands.)

This is not the only port with this sort of hack. I'm currently
working on a centralized usage of ocamlfind for ports that use it (in
fact, this is also needed for a correct install with respect to
PREFIX.)

	Marwan.

-- 
Burelle Marwan,
Equipe Bases de Donnees - LRI
http://www.cduce.org
(burelle@lri.fr | Marwan.Burelle@ens.fr)